PromptHeading = ID_TUTORIAL_7_OFFSET + 1
g_currentprompt = 0;
g_counter = 0;
Tweaks.numyearsin24hours = 0;

-------------------------------------------------------------------------------------------------
-- INITIALISE_Level. Standard level event
-------------------------------------------------------------------------------------------------
function EVENTINITIALISE_Level()
	-- load the building and business file
	C_RunScript("scripts\\maps\\tempmap.lua");
end;

-------------------------------------------------------------------------------------------------
-- Level. Standard level event.
-------------------------------------------------------------------------------------------------
function EVENT_Level()
	-- create an initial prompt
	C_TriggerEvent("BlockCam", 1, PACIFIC_AVENUE);
	-- create the initial prompt
	Interface.DisableAllControls();
	Interface.DisableAll3DPicking();
	Interface.DisableCameraControl();

	CreatePrompt(1);
end;

function CATCHEVENT_InterfacePromptDismiss(a)
	CreatePrompt(a);
end;

function CATCHEVENT_TutorialEvent(a)

	if g_currentprompt == 7 then
			g_counter = g_counter + 1;
	end;

	if g_currentprompt == 7 and g_counter == 4 then
			Interface.DismissPrompt();
			Interface.DisableControl(TUT_PCP_TOGGLE_OPTIONS_RIGHT);
		end;			

end;

-- prompt manager
function CreatePrompt(a)
	g_currentprompt = a;
	body = a+PromptHeading;
	if a == 1 then
		Interface.CreatePrompt(PromptHeading,body, a+1); --"Every day certain things happen that will affect your bank balance. You will need to be prepared for them if you are to succeed in the city.", a+1);
		Interface.PositionPrompt(0,140);
	elseif a == 2 then
		Interface.CreatePrompt(PromptHeading,body, a+1); --"This panel shows you when major money events occur.", a+1);
		Interface.CreateEventList();
		Interface.AddArrow(366,219);
	elseif a == 3 then
		Interface.CreatePrompt(PromptHeading,body, a+1); --"At 6:00am all of your buildings restock with commodities, pay rent and utility costs. This is balanced by rent that you receive from your apartments and land rent from opponents businesses on your blocks...", a+1);
		Interface.AddArrow( 338, 99 );
	elseif a == 4 then
		Interface.CreatePrompt(PromptHeading,body, a+1); --"...also, if you own any of the Railroads or Utilities, any income collected will be added...", a+1);
		Interface.AddArrow( 338, 99 );
	elseif a == 5 then
		Interface.CreatePrompt(PromptHeading,body, a+1); --"To summarise, you receive income from renting your apartments, land rent from opponents businesses on your blocks and income from Railroads and Utilities...",a+1);
	elseif a == 6 then
		Interface.CreatePrompt(PromptHeading,body, a+1); --"Your costs include restocking of stores, land rent for businesses on blocks you do not own...",a+1);
	elseif a == 7 then
		Interface.CreateMessage(PromptHeading,body, a+1); --"You do not have to work this out for yourself. Click on the blue button until you are viewing the '6-00am Cost Prediction'. ", a+1);
		Interface.AddArrow(180,315);
		Interface.EnableControl(TUT_PCP_TOGGLE_OPTIONS_RIGHT);
	elseif a == 8 then
		Interface.CreatePrompt(PromptHeading,body, a+1); --"If nothing were to change, this is the amount you will pay at 6.00am. You can also see what the other players are going to pay, which can be very useful information.", a+1);
		Interface.AddArrow(180, 338);
	elseif a == 9 then
		Interface.CreatePrompt(PromptHeading,body, a+1); --"Bear in mind that as you sell stock the prediction will rise - you have more stock to replace.", a+1);
		Interface.AddArrow(180, 338);
	elseif a == 10 then
		Interface.CreatePrompt(PromptHeading,body, a+1); --"Once the day gets under way, money will start coming in as you make sales from your stores. As the day passes you should check your stores to make sure that stock is selling through.", a+1);
		Interface.AddArrow(336, 134);
	elseif a == 11 then
		Interface.CreatePrompt(PromptHeading,body, a+1); --"At 6pm voting occurs. This is only relevant if you play the weakest link or first to mayor scenarios.", a+1);
		Interface.AddArrow(334, 158);
	elseif a == 12 then
		Interface.CreatePrompt(PromptHeading,body, a+1); --"As the daytime stores close the evening entertainment kicks off. Your nighttime businesses will now start drawing in customers. ", a+1);
		Interface.AddArrow(333, 194);
	elseif a == 13 then
		Interface.CreatePrompt(PromptHeading,body, a+1); --"IMPORTANT! At 12:00am the bank carries out a credit check. If your bank balance is negative you will be warned that you must be in credit by the following midnight. Failure to do so will result in you being declared bankrupt! ", a+1);
		Interface.AddArrow(329, 214);
	elseif a == 14 then
		Interface.CreatePrompt(PromptHeading,body, a+1); --"That's it. Keep these times in mind when playing and you shouldn't go too far wrong! ", a+1);
		Interface.AddArrow(46, 336);
	elseif a == 15 then
		Interface.CreatePrompt(PromptHeading,body, a+1); --"That's it. Keep these times in mind when playing and you shouldn't go too far wrong! ", a+1);
		Interface.AddArrow(550, 30);
	elseif a == 16 then
		Game.End(true);
	end;
end;


